#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#define int long long

using namespace std;
using namespace __gnu_pbds;

template<class T> using ordered_multiset = tree<T, null_type, less_equal<T>, rb_tree_tag, tree_order_statistics_node_update>;

random_device rd;
mt19937 gen(rd());

struct dd{
    struct zxc{
        int x, y, sm, l, r;
    };

    int root = -1, sz = 0;
    vector<zxc> tree;

    void push(int x) {
        if (x == -1) return;

        tree[x].sm = 1;
        if (tree[x].l != -1) {
            tree[x].sm += tree[tree[x].l].sm;
        }

        if (tree[x].r != -1) {
            tree[x].sm += tree[tree[x].r].sm;
        }
    }

    pair<int, int> split(int x, int k) {
        if (x == -1) return {-1, -1};

        if (tree[x].x <= k) {
            pair<int, int> pr_dd = split(tree[x].l, k);

            tree[x].l = pr_dd.second;
            push(x);

            return {pr_dd.first, x};
        }

        pair<int, int> pr_dd = split(tree[x].r, k);

        tree[x].r = pr_dd.first;
        push(x);

        return {x, pr_dd.second};
    }

    int merge(int x, int y) {
        if (x == -1) return y;
        if (y == -1) return x;

        if (tree[x].y > tree[y].y) {
            tree[x].r = merge(tree[x].r, y);
            push(x);

            return x;
        }

        tree[y].l = merge(x, tree[y].l);
        push(y);

        return y;
    }

    void insert(int x) {
        tree.push_back({x, (int)gen(), 1, -1, -1});
        x = sz++;

        pair<int, int> pr_dd = split(root, tree[x].x);
        root = merge(pr_dd.first, merge(x, pr_dd.second));
    }
};

struct lct{
    struct p{
        int k, b;
    };

    struct zxc{
        p p; int l, r;
    };

    static int f(int x, p p) {
        return p.k * x + p.b;
    }

    int sz = 1;
    vector<zxc> tree = {{{0, (int)2e9}, -1, -1}};

    void update(int n, int l, int r, p p) {
        int m = (l + r) / 2;

        if (f(m, tree[n].p) > f(m, p)) {
            swap(p, tree[n].p);
        }

        if (r - l <= 1) return;

        bool bl = f(l, tree[n].p) > f(l, p);
        bool br = f(r, tree[n].p) > f(r, p);

        if (bl) {
            if (tree[n].l == -1) {
                tree[n].l = sz++;
                tree.push_back({tree[n].p, -1, -1});
            }

            update(tree[n].l, l, m, p);
        }

        if (br) {
            if (tree[n].r == -1) {
                tree[n].r = sz++;
                tree.push_back({tree[n].p, -1, -1});
            }

            update(tree[n].r, m, r, p);
        }
    }

    void add(p p) {
        update(0, 0, (int)1e9, p);
    }

    int query(int n, int l, int r, int ql) {
        int m = (l + r) / 2, ans = f(ql, tree[n].p);

        if (r - l <= 1) return ans;
        if (ql < m && tree[n].l != -1) return min(ans, query(tree[n].l, l, m, ql));
        if (ql >= m && tree[n].r != -1) return min(ans, query(tree[n].r, m, r, ql));
        return ans;
    }

    int find (int x) {
        return query(0, 0, (int)1e9, x);
    }
};

string Sum(string a, string b) {
    int cnt = 0;
    bool flag = false;
    if (a.front() == '-') {
        ++cnt;

        string temp;
        for (int i = 1; i < a.size(); ++i) {
            temp.push_back(a[i]);
        }

        swap(temp, a);

        flag = true;
    }

    if (b.front() == '-') {
        ++cnt;

        string temp;
        for (int i = 1; i < b.size(); ++i) {
            temp.push_back(b[i]);
        }

        swap(temp, b);
    }
    if (cnt % 2 == 0) {
        string ans(max(a.size(), b.size()) + 1, '0');

        for (int i = 1; i < ans.size(); ++i) {
            int cur = ans[ans.size() - i] - '0';

            if (i <= b.size()) {
                cur += b[b.size() - i] - '0';
            }
            if (i <= a.size()) {
                cur += a[a.size() - i] - '0';
            }

            ans[ans.size() - i] = static_cast<char>(cur % 10 + '0');
            ans[ans.size() - i - 1] = static_cast<char>(cur / 10 + '0');
        }

        string sm;
        if (cnt) {
            sm.push_back('-');
        }

        if (ans.front() != '0') {
            sm.push_back(ans.front());
        }
        for (int i = 1; i < ans.size(); ++i) {
            sm.push_back(ans[i]);
        }

        return sm;
    }

    string sm;
    if (a.size() < b.size() || (a.size() == b.size() && a < b)) {
        swap(a, b);

        if (flag) {
            flag = false;
        } else {
            flag = true;
        }
    }

    if (flag) {
        sm.push_back('-');
    }

    string ans = a;
    for (int i = 1; i <= ans.size(); ++i) {
        int cur = ans[ans.size() - i] - '0';

        if (i <= b.size()) {
            cur -= b[b.size() - i] - '0';
        }

        if (cur < 0) {
            ans[ans.size() - i - 1]--;
            cur += 10;
        }

        ans[ans.size() - i] = static_cast<char>(cur % 10 + '0');
    }

    int i = 0;
    while (i < ans.size() && ans[i] == '0') {
        ++i;
    }

    if (i == ans.size()) {
        return "0";
    }

    for (; i < ans.size(); ++i) {
        sm.push_back(ans[i]);
    }

    return sm;
}

string Product(string a, string b) {
    int cnt = 0;
    if (a.front() == '-') {
        ++cnt;

        string temp;
        for (int i = 1; i < a.size(); ++i) {
            temp.push_back(a[i]);
        }

        swap(temp, a);
    }

    if (b.front() == '-') {
        ++cnt;

        string temp;
        for (int i = 1; i < b.size(); ++i) {
            temp.push_back(b[i]);
        }

        swap(temp, b);
    }

    if (a == "0" || b == "0") {
        return "0";
    }

    string ans = "0";
    for (int i = 0; i < b.size(); ++i) {
        string cur = "0";

        for (char j = '0'; j < b[i]; ++j) {
            cur = Sum(cur, a);
        }

        for (int j = i + 1; j < b.size(); ++j) {
            cur.push_back('0');
        }

        ans = Sum(ans, cur);
    }

    string sm;
    if (cnt % 2) {
        sm.push_back('-');
    }

    for (auto el : ans) {
        sm.push_back(el);
    }

    return sm;
}

signed main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);

    int tt; cin >> tt;
    while (tt--) {
        vector<int> a(6);

        for (int i = 0; i < 6; ++i) cin >> a[i];

        std::sort(a.begin(), a.end());

        set<int> sm;
        for (int i = 0; i < 3; ++i) sm.insert(a[i] + a[6 - i - 1]);

        if (sm.size() == 1) {
            cout << "yes\n";
        } else {
            cout << "no\n";
        }
    }
}