#include <bits/stdc++.h>
#define db long double

using namespace std;

random_device rd;
mt19937 gen(rd());

struct zxc{
    db a, b, c;
};

zxc def_str(db x1, db y1, db x2, db y2) {
    db a = y2 - y1, b = x1 - x2, c = -a * x1 - b * y1;
    return {a, b, c};
}

db dist(db x1, db y1, db x2, db y2) {
    return sqrt(pow(x1 - x2, 2) + pow(y1 - y2, 2));
}

pair<db, db> prs(zxc a, zxc b) {
    db x = (b.c * a.b - a.c * b.b) / (a.a * b.b - b.a * a.b), y = (b.c * a.a - a.c * b.a) / (a.b * b.a - b.b * a.a);
    return {x, y};
}

signed main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);

    int n; cin >> n;

    vector<pair<db, db>> a(n);
    for (int i = 0; i < n; ++i) cin >> a[i].first >> a[i].second;

    vector<pair<int, int>> v;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            if (i == j) continue;

            db x = a[i].first - a[j].first, y = a[i].second - a[j].second;
            v.emplace_back(x, y);
        }
    }

    for (int i = 0; i < 100000; ++i) {
        v.push_back({gen(), gen()});
    }

    db ans = 2e18;
    for (auto [x, y] : v) {
        vector<pair<zxc, zxc>> p(n);

        for (int i = 0; i < n; ++i) {
            p[i] = {def_str(a[i].first, a[i].second, a[i].first + x, a[i].second + y), def_str(a[i].first, a[i].second, a[i].first - y, a[i].second + x)};
        }

        vector<vector<pair<int, db>>> vert(n);
        for (int i = 0; i < n; ++i) {
            for (int j = 0; j < n; ++j) {
                if (i == j) continue;

                auto [x1, y1] = prs(p[i].first, p[j].second);
                vert[i].push_back({j, dist(a[i].first, a[i].second, x1, y1) + dist(a[j].first, a[j].second, x1, y1)});
            }
        }

        db cur = 0;

        vector<int> used(n, 0);
        vector<db> d(n, 2e9); d[0] = 0;

        for (int i = 0; i < n; ++i) {
            int idx = -1;

            for (int j = 0; j < n; ++j) {
                if (used[j]) continue;

                if (idx == -1 || d[idx] > d[j]) idx = j;
            }

            cur += d[idx];
            used[idx] = 1;

            for (auto [to, wt] : vert[idx]) {
                d[to] = min(d[to], wt);
            }
        }

        ans = min(ans, cur);
    }

    cout << fixed << setprecision(9) << ans;
}